Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005897 [JEDI VCL] 00 JVCL Components tweak always 2012-06-04 12:12 2012-09-10 14:15
Reporter Arioch View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0005897: JvJCLUtils INC(Date,Month,...) should have default parameter
Description In Delphi IncMonth(x) is the same as IncMonth(+1)

which is reasonable and useful.

Same for IncWeek, IncYear and all the rest from SysUtls and DateUtils.


So the following functions should make their last parameter default-valued as well. Otherwise using that unit might break compilation of code, that already used those functions (taking them from SysUtils or DateUtils)

function IncDay(ADate: TDateTime; Delta: Integer = 1): TDateTime;
function IncMonth(ADate: TDateTime; Delta: Integer = 1): TDateTime;
function IncYear(ADate: TDateTime; Delta: Integer = 1): TDateTime;
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019921)
obones (administrator)
2012-06-12 15:43

This is now in SVN

- Issue History
Date Modified Username Field Change
2012-06-04 12:12 Arioch New Issue
2012-06-11 17:36 obones Status new => acknowledged
2012-06-12 15:43 obones Note Added: 0019921
2012-06-12 15:43 obones Status acknowledged => resolved
2012-06-12 15:43 obones Fixed in Version => Daily / SVN
2012-06-12 15:43 obones Resolution open => fixed
2012-06-12 15:43 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker